> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Method Setup Secret

> Fetches a setup secret to initialize payment method configuration for the brokerage firm.



## OpenAPI

````yaml /openapi.json get /brokerage-firms/{brokerageFirmId}/payment-methods/secret
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/{brokerageFirmId}/payment-methods/secret:
    get:
      tags:
        - brokerage-firms
      summary: Get Payment Method Setup Secret
      description: >-
        Fetches a setup secret to initialize payment method configuration for
        the brokerage firm.
      operationId: BrokerageFirmController_getPaymentMethodSetupSecret
      parameters:
        - name: brokerageFirmId
          required: true
          in: path
          description: the brokerageFirm id
          schema:
            type: string
      responses:
        '200':
          description: Payment method setup secret retrieved.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetPaymentMethodSetupSecretForBrokerageFirmOutput
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
              examples:
                BROKERAGE_FIRM_NOT_FOUND:
                  $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetPaymentMethodSetupSecretForBrokerageFirmOutput:
      type: object
      properties:
        clientSecret:
          type: string
          description: Client secret to setup a payment method
      required:
        - clientSecret
    BrokerageFirmNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - BROKERAGE_FIRM_NOT_FOUND
        message:
          type: string
          example: No brokerage firm found for brokerage firm id {brokerageFirmId}
        details:
          $ref: '#/components/schemas/BrokerageFirmNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    BrokerageFirmNotFoundDetailsDto:
      type: object
      properties:
        brokerageFirmId:
          type: string
        source:
          type: string
        policyId:
          type: string
      required:
        - brokerageFirmId

````